<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W4. Electronics production</title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="Comuputer" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="subpage.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> Electronics production </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

<div class="container">
  <header class="header" role="banner">


        <div class="row" style="text-align:center;">

        <ul class="main-nav">


                    <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> MDEF </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> First term </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Secondterm.html"> Second term </a></li>
          <li class="active"><a href="https://mdef.gitlab.io/adriana.tamargo/FabAcademy.html"> Fab Academy </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Finalproject.html"> Final project </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Aboutme.html"> About me </a></li>
          <li> <h5> adriana.tamargo@iaac.net </h5> </li>
                </ul>

    </div>


  </header>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">
    <h1 id="subheading-2">W4. Electronics production</h1>

<p>This is my first contact with electronics production, I had no experience in milling, solding nor programming a board. So I tried to grasp as much as possible the content of this week. For that, following the tutorials provided was really helpful. </p>



<h3 id="subheading-2">Followed tutorials:</h3>

<li><a href="http://fab.cba.mit.edu/classes/863.16/doc/projects/ftsmin/index.html"> Building the FabTinyISP </a></li>
<li><a href="http://archive.fabacademy.org/archives/2017/doc/electronics_production_FabISP.html"> FabISP: Electronics Production </a></li>
<li><a href="http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week04_electronic_production/srm20_windows.html"> PCBs with SRM-20 </a></li>


<h2 id="subheading-2">1. Preparing the files:</h2>

<p>First I downloaded the PNG files for the traces and the board outline from <a href="http://archive.fabacademy.org/archives/2017/doc/electronics_production_FabISP.html"> here </a>: </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/EP1.PNG" width="550">

<p>Then I continued the process with the tool <a href="http://fabmodules.org/"> fabmodules </a>.</p>

<h3>1.1 Preparing the file PCB traces:</h3>

<p>1. Open the tool <a href="http://fabmodules.org/"> fabmodules.org </a>.</p>

<p>2. Select the input format and add the png file we just downloaded (Traces.PNG). </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/EP2.PNG" width="550">
<img src="https://mdef.gitlab.io/adriana.tamargo/EP3.PNG" width="350">

<p>3. Select the output format (Roland mill (.rml)), and the process (PCB traces (1/64)) </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/EP4.PNG" width="750">

<p>4. After that we adjust the parameters on the right side of the screen. The parameters we have to change in this case are:</p>
<p> -  Machine = SRM-20</p>
<p> -  x0(mm) = 0</p>
<p> -  y0(mm) = 0</p>
<p> -  z0(mm) = 0</p>
<p> -  zopg = 12</p>
<p> -  Speed = 4 or 3 mm/s for new end mills</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/EP5.PNG" width="200">

<p>5. Finally we click “Calculate”, check that everything is correct and then save the file.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/EP5b.PNG" width="750">

<h3>1.2 Preparing the file PCB outline:</h3>

<p>1. Open the tool <a href="http://fabmodules.org/"> fabmodules.org </a>.</p>

<p>2. Select the input format and add the png file we just downloaded (Outline.PNG). </p>

<p>3. Select the output format (Roland mill (.rml)), and the process (PCB outline (1/32)) </p>
<img src="https://mdef.gitlab.io/adriana.tamargo/EP6.PNG" width="750">

<p>4. After that we adjust the parameters on the right side of the screen. The parameters we have to change in this case are:</p>
<p> -  Machine = SRM-20</p>
<p> -  x0(mm) = 0</p>
<p> -  y0(mm) = 0</p>
<p> -  z0(mm) = 0</p>
<p> -  zopg = 12</p>
<p> -  Speed = 0.5 m/s</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/EP7.PNG" width="200">

<p>5. Finally we click “Calculate”, check that everything is correct and then save the file.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/EP8.PNG" width="750">


<h2 id="subheading-2">2. Milling the PCB:</h2>


<p>Clean the cropper board and fix it without overlapping the double tape (Make sure it’s fixed, we ruined the milling as it was not well fixed on the first trial).</p>

<p> Set the zero position on the machine: For that we used the VPanel for SRM 20. There we used the panel to set the XY point using the different options of movement (Continue, x100, x10, x1), Continue option when we wer very far away of the Zero point and we had to move it quite big distances and the x10 and x1 options when we were very near the zero point, for more accurate movements.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/roland.jpg" width="750">

<p> We set the Z point manually, loosening the milling bit and letting it drop a bit down until it touched the milling surface. On the first trial we didn’t do this manually and the milling didn’t work as the movement was being done a bit upper than where the cropper board was, so it wasn’t being cut..</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/milling.gif" width="750">

<h2 id="subheading-2">2. Soldering the components:</h2>

<p>First we listed all the components and paste them near their name on a notebook. This way we have all the components together identified so is easier to find them when we are soldering. It was important to get a comfortable and tidy space to solder. A lot of patience is needed too. Don’t panic!!!
</p>
<img src="https://mdef.gitlab.io/adriana.tamargo/processboard.png" width="900">

<img src="https://mdef.gitlab.io/adriana.tamargo/soldering.jpg" width="700">

<img src="https://mdef.gitlab.io/adriana.tamargo/solderedboard.jpg" width="900">



<h2 id="subheading-2">Failures and learnings:</h2>

<p>I tend to solder the components with very with very little solder because I was concerned to not put too much of it in order to keep the board clean, as I’m quite good at being messy. This way the components were not well soldered (I lost a diode thinking it was soldered but it just dropped out of the board somewhere). So following Santi’s advice is better to put more solder on the components and for that technique will be: hit the component and the board part where it will be soldered at the same time, then bring the welder close to both and put enough solder to cover them.
</p>

<p>The tweezers are our best friends. You can burn your fingers quite easily.
</p>

<p>Place the small components first and the bigger ones at the end.
</p>

<p>To clean the welder you need to wet the sponge first.
</p>

</div>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

  <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Computercontrolledcutting.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/3dprinting.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>

    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
